#
# spec file for package ksteak (Version 0.4.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake docbook-dsssl-stylesheets docbook_3 fam gettext gpp iso_ent jade_dsl kdelibs kdelibs-artsd kdelibs-devel libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libxml2 libz mesa mesa-devel mesasoft qt qt-devel qt-extensions sp sp-devel xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils docbook-dsssl-stylesheets docbook_3 e2fsprogs fam file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip iso_ent jade_dsl kbd kdelibs kdelibs-artsd kdelibs-devel less libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libtool libxml2 libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qt qt-devel qt-extensions rcs readline rpm sendmail sh-utils shadow sp sp-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

# Commandline:  -s "make -f Makefile.dist ; " --nosuseupdate --kde2 -i "rm -rf /opt/kde2/share/doc/HTML/en/en"
Name:         ksteak
Copyright:    GPL
Group:        X11/KDE/Applications
Requires: steak
Summary:      english<->german dictionary
Version:      0.4.0
Release:      125
Source0:      ksteak-0.4.0.tar.bz2
Patch0: ksteak-0.4.0.dif

%description
english<->german dictionary, which can be docked to the KDE panel (kicker)

Authors:
--------
    Michael Heidecke <heidecke@web.de>

SuSE series: k2de

%prep
%setup -n ksteak-0.4.0
%patch -p 0 -E

%build
make -f Makefile.dist ;  CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS -DNDEBUG " ./configure \
  --prefix=/opt/kde2 \
 --mandir=/usr/share/man/ \
 --with-qt-dir=/usr/lib/qt2/ \
  
make -f Makefile.dist ;  make

%install
make install
rm -rf /opt/kde2/share/doc/HTML/en/en

%files
%doc README AUTHORS COPYING ChangeLog INSTALL README.DCOP 
%dir /opt/kde2/share/applnk
%dir /opt/kde2/share/applnk/Applications
%dir /opt/kde2/share/apps/khtml/kpartplugins
%dir /opt/kde2/share/apps/ksteak
%dir /opt/kde2/share/apps/ksteak/pics
%dir /opt/kde2/share/doc/HTML/de
%dir /opt/kde2/share/doc/HTML/de/ksteak
%dir /opt/kde2/share/doc/HTML/en/ksteak
%dir /opt/kde2/share/icons/locolor/16x16/apps
%dir /opt/kde2/share/icons/locolor/22x22
%dir /opt/kde2/share/icons/locolor/22x22/apps
%dir /opt/kde2/share/icons/locolor/32x32/apps
%dir /opt/kde2/share/locale
%dir /opt/kde2/share/locale/de
%dir /opt/kde2/share/locale/de/LC_MESSAGES
/opt/kde2/bin/ksteak
/opt/kde2/lib/libksteakplugin.la
/opt/kde2/lib/libksteakplugin.so
/opt/kde2/share/applnk/Applications/ksteak.desktop
/opt/kde2/share/apps/khtml/kpartplugins/ksteakplugin.rc
/opt/kde2/share/apps/ksteak/ksteakui.rc
/opt/kde2/share/apps/ksteak/pics/and.png
/opt/kde2/share/apps/ksteak/pics/case.png
/opt/kde2/share/apps/ksteak/pics/context.png
/opt/kde2/share/apps/ksteak/pics/flag-de.png
/opt/kde2/share/apps/ksteak/pics/flag-en.png
/opt/kde2/share/apps/ksteak/pics/or.png
/opt/kde2/share/apps/ksteak/pics/search.png
/opt/kde2/share/doc/HTML/de/ksteak/common
/opt/kde2/share/doc/HTML/de/ksteak/index.docbook
/opt/kde2/share/doc/HTML/en/ksteak/common
/opt/kde2/share/doc/HTML/en/ksteak/index.docbook
/opt/kde2/share/icons/locolor/16x16/apps/ksteak.png
/opt/kde2/share/icons/locolor/16x16/apps/ksteakplugin.png
/opt/kde2/share/icons/locolor/22x22/apps/ksteak.png
/opt/kde2/share/icons/locolor/32x32/apps/ksteak.png
/opt/kde2/share/locale/de/LC_MESSAGES/ksteak.mo

%changelog -n ksteak
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Fri Aug 10 2001 - adrian@suse.de
- autoconf 2.52 fixes
* Wed Jun 20 2001 - ro@suse.de
- corrected rpm group to X11/KDE/Applications
* Wed Jun 20 2001 - adrian@suse.de
- update to 0.4.0
- apply autoconf 2.50 convinient build enviroment
- code compile fixes
* Wed Jun 20 2001 - @suse.de
- Spec file created from ksteak-0.4.0.tar.bz2 by autospec
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Tue Feb 20 2001 - adrian@suse.de
- New version 0.3.2
* Fri Feb 02 2001 - adrian@suse.de
- Spec file created from ksteak-0.3.1.tar.bz2 by autospec
